diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 97e2f2f..e0beb91 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -131068,12 +131068,12 @@ RationalFunctionDefiniteIntegration(R): Exports == Implementation where
       [ans]
 
     integrate(f:RF, s:SegmentBinding ORF) ==
-      int(f, variable s, map(#1::FE, lo segment s),
-                         map(#1::FE, hi segment s), false)
+      int(f, variable s, map(x +-> x::FE, lo segment s),
+                         map(x +-> x::FE, hi segment s), false)
 
     integrate(f:RF, s:SegmentBinding ORF, str:String) ==
-      int(f, variable s, map(#1::FE, lo segment s),
-                         map(#1::FE, hi segment s), ignore? str)
+      int(f, variable s, map(x +-> x::FE, lo segment s),
+                         map(x +-> x::FE, hi segment s), ignore? str)
 
     integrate(f:RF, s:SegmentBinding OFE, str:String) ==
       int(f, variable s, lo segment s, hi segment s, ignore? str)
diff --git a/changelog b/changelog
index 578fb9e..765f82d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090619 tpd src/axiom-website/patches.html 20090619.07.tpd.patch
+20090619 tpd books/bookvol10.4 DEFINTRF +-> conversion
 20090619 tpd src/axiom-website/patches.html 20090619.06.tpd.patch
 20090619 tpd books/bookvol10.4 RF +-> conversion
 20090619 tpd src/axiom-website/patches.html 20090619.05.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 5836b60..1f69e01 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1591,5 +1591,7 @@ bookvol10.4 QALGSET2 +-> conversion<br/>
 bookvol10.4 QCMPACK +-> conversion<br/>
 <a href="patches/20090619.06.tpd.patch">20090619.06.tpd.patch</a>
 bookvol10.4 RF +-> conversion<br/>
+<a href="patches/20090619.07.tpd.patch">20090619.07.tpd.patch</a>
+bookvol10.4 DEFINTRF +-> conversion<br/>
  </body>
 </html>
